[unixODBC-support] Problem building unixODBC 2.3 in HPUX 11.11

Nick Gorham nick at lurcher.org
Fri Aug 6 22:27:47 BST 2010


Kwok, Barney wrote:
>
> Hello,
>
> After successfully running unixODBC 2.3.0 with DB2 in Fedora, I am 
> trying to setup unixODBC in HPUX 11.11.
>
> The ‘make’ process fails with the following error:
>
> libtool: link: ranlib .libs/libinilc.a
>
> libtool: link: rm -fr .libs/libinilc.lax
>
> libtool: link: ( cd ".libs" && rm -f "libinilc.la" && ln -s 
> "../libinilc.la" "li
>
> binilc.la" )
>
> Making all in libltdl
>
> /bin/sh /mantis/home/bkwok/unixODBC-2.3.0/libltdl/config/install-sh -d .
>
> cp ./argz_.h argz.h-t
>
> mv argz.h-t argz.h
>
> cd . && /bin/sh /mantis/home/bkwok/unixODBC-2.3.0/libltdl/config/missing
>
> --run autoconf
>
> /usr/local/bin/m4: unrecognized option `--gnu'
>
> Try `/usr/local/bin/m4 --help' for more information.
>
> autom4te: /usr/local/bin/m4 failed with exit status: 1
>
> *** Error exit code 1
>
> Stop.
>
> *** Error exit code 1
>
> Stop.
>
> *** Error exit code 1
>
> Stop.
>
> I have installed autoconf, automake and libtool in HPUX before the 
> build process. I am scratching my head about the error message.
>
> There is also HPUX m4 program in /usr/bin directory. I wonder if there 
> is some kind of conflict between HPUX and GNU m4. I am not really a 
> UNIX script person. I’ll be really appreciated if you can give 
> suggestions / pointers.
>
> Many thanks in advance.
>
> Barney Kwok
>
>   
Hi,

Looking at this, I suspect you may need a later version of m4

https://bugs.launchpad.net/ubuntu/+source/autoconf/+bug/459422

-- 
Nick


More information about the unixODBC-support mailing list